<?php
/**
 * Corretor CRM - https://app.corretorcrm.com
 *
 * @version   1.4.1

 * @copyright Copyright (c) 2022-2024 APPCRM DIGITAL TEC
 */

namespace Modules\Core\App\Updater\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Modules\Core\App\Updater\Patch;

class PatchApplied
{
    use Dispatchable, InteractsWithSockets;

    /**
     * Initialize new PatchApplied instance.
     */
    public function __construct(public Patch $patch)
    {
    }

    /**
     * Get the patch that was applied.
     */
    public function getPatch(): Patch
    {
        return $this->patch;
    }
}
