/**
 * Corretor CRM - https://app.corretorcrm.com
 *
 * @version   1.4.1

 * @copyright Copyright (c) 2022-2024 APPCRM DIGITAL TEC
 */
import { computed } from 'vue'

import { useApp } from '@/Core/composables/useApp'

export function useSignature() {
  const { currentUser } = useApp()

  const signature = computed(() =>
    currentUser.value.mail_signature ? currentUser.value.mail_signature : ''
  )

  function addSignature(message = '') {
    return message + signature.value
  }

  return {
    addSignature,
    signature,
  }
}
